smbios_chassis_t Struct Reference
Public interface » ID macros » SMBIOS structures

chassis information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
char * | manuf
| manufacturer
char * | version
| version
char * | serial
| serial number
char * | asset
| asset tag
hd_id_t | ch_type
| chassis type
unsigned | lock
| 1: lock present, 0: not present or unknown
hd_id_t | bootup
| bootup state
hd_id_t | power
| power supply state (at last boot)
hd_id_t | thermal
| thermal state (at last boot)
hd_id_t | security
| security state (at last boot)
unsigned | oem
| OEM-specific information.

## Detailed Description

chassis information

The documentation for this struct was generated from the following file:

- hd.h